%define name    sflphone-qt
%define version 0.6.2 
%define release %mkrel 2

Name:           %{name}
Summary:        SFLPhone VoIP phone graphical interface
Version:        %{version}
Release:        %{release}

Source:         %{name}-%{version}.tar.bz2
URL:            http://www.sflphone.org/
License:        GPL
Group:          Communications
BuildRoot:      %{_tmppath}/%{name}-buildroot

BuildRequires:  qt3-devel
Provides:       sflphone
Requires:       sflphoned

%description
Voice over IP tends to be part of more and more corporate (and home) networks
today. SFLphone aims to become your desktop's VoIP companion.

This is the graphical interface.

%prep 
%setup -q -n %name

%build
qmake
perl -p -i -e 's/\-g/\$\(RPM_OPT_FLAGS\)/g' Makefile
%make
                
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_bindir
cp %name %buildroot/%_bindir

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="SFL Phone" longtitle="VoIP Phone" section="More Applications/Communications" xdg="true"
EOF

#menu-xdg
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
cat > $RPM_BUILD_ROOT/%{_datadir}/applications/mandriva-%{name}.desktop << EOXDG
[Desktop Entry]
Name=%{name}
Comment=%{Summary}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Communications;Qt;
EOXDG

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 images/logo_ico.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 images/logo_ico.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 images/logo_ico.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_bindir}/%name
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_datadir}/applications/mandriva-%{name}.desktop

%changelog
* Mon Sep 04 2006 Stéphane Téletchéa <steletch@mandriva.org> 0.6.2-2mdv2007.0
- Migration to XDG menu
- use mkrel

* Sat Dec 3 2005 Austin Acton <austin@mandrake.org> 0.6.2-1mdk
- initial release
